List templates
GET
/api/v1/templates
const url = 'https://digize.com/api/v1/templates';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://digize.com/api/v1/templates \ --header 'x-api-key: <x-api-key>'The email and SMS templates the team and automations send, with the ones the platform sends itself, such as the order receipt.
Needs the crm:read permission.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Done
Media typeapplication/json
Array<object>
object
id
required
string
name
required
string
channel
required
string
subject
required
string | null
body
required
With variables such as {{first_name}} and {{contact.favorite_roast}}.
string
usedIn
required
Array<string>
system
required
boolean
sentWith
required
string | null
updatedAt
required
string format: date-time
updatedById
required
string
Example
[ { "channel": "sms" }]What was sent isn’t valid (invalid).
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}No key, or one that’s unknown, off or expired.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}The key doesn’t have the permission this needs.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}Nothing has that id (not_found).
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}Over the rate limit; see retry-after.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}